#!/usr/bin/perl -w

use strict;
use Fork;
use Data::Dumper;

sub b($) {
    return "<$_[0]>";
}

sub test_fork($) {
    my $args = shift;
    sleep $args->[2];   
    return [$args->[0], b $args->[1]];
}

my $data = [
                [1 ,"Item 1", 1],
                [2 ,"Item 6", 6],
                [3 ,"Item 2", 2],
                [4 ,"Item 5", 3],
                [5 ,"Item 3", 5],
                [6 ,"Item 4", 4],
                ];
my $values = fork_it {
        fct => \&test_fork,
        args => $data,
        max_children => 6,
        timeout => 10,
        };
# my $sorted_values = [ sort { $a->[0] cmp $b->[0] } (@$values) ];
# print Dumper $sorted_values;
print Dumper $values;
